Monodevelop yükleme

(Mustafa IŞIK) #1

Merhabalar daha düne kadar monodevelop da c# derliyordum bugun 143 tane paket güncellemesi olduğu bildirimi geldi güncelleye bastım fakat mono silindi ve bir dahada kuramadım 5 adet engellenen paket vardı nasıl kurabilirim tekrar yükleyebilirim

0 Likes

(𝗄𝖺𝖺𝗇) #2

Önermediğim bir işlem ama yapmak istiyorsanız synaptic paket yöneticisinden kilitli olan paketi bulup seçin ve Paket menüsünden Sürüme zorlayı seçin.

0 Likes

(Mustafa IŞIK) #3

kilitli olan paket derken anlamadım orasını

0 Likes

(𝗄𝖺𝖺𝗇) #4

Engellenen paketler.

0 Likes

(Mustafa IŞIK) #5

ben bir hata yapmış olabilirim synaptic den değilde paketlerden o engellenenleri kaldırdım geri nasıl yükleyebilirim

0 Likes

(𝗄𝖺𝖺𝗇) #6

synapticten arayarak kurabilrisiniz.

0 Likes

(Mustafa IŞIK) #7

monodevelop:

Özet

Bağımlılıklar: monodoc-manual fakat kurulmayacak
Bağımlılıklar: pkg-config
Bağımlılıklar: mono-runtime-sgen fakat kurulmayacak
Bağımlılıklar: fsharp fakat kurulmayacak
Bağımlılıklar: mono-runtime fakat kurulmayacak
Bağımlılıklar: libc6 (>=2.27) fakat 2.24-11+deb9u4 kurulacak ya da
libc6.1 (>=2.27) fakat paket kurulamaz ya da
libc0.1 (>=2.27) fakat paket kurulamaz
Bağımlılıklar: libfontconfig1 (>=2.12) fakat 2.11.0-6.7+b1 kurulacak
Bağımlılıklar: libfsharp-core4.3-cil fakat kurulmayacak
Bağımlılıklar: libglade2.0-cil fakat kurulmayacak
Bağımlılıklar: libglib2.0-0 (>=2.56.3) fakat 2.50.3-2 kurulacak
Bağımlılıklar: libglib2.0-cil fakat kurulmayacak
Bağımlılıklar: libgtk2.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-cairo4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-corlib4.5-cil fakat kurulmayacak
Bağımlılıklar: libmono-microsoft-csharp4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-microsoft-web-infrastructure1.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-posix4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-componentmodel-composition4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-componentmodel-dataannotations4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-configuration4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-core4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-data-entity4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-data-linq4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-data4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-design4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-drawing4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-identitymodel4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-io-compression4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-net-http4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-numerics4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-runtime-caching4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-runtime-serialization4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-runtime4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-security4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-servicemodel4.0a-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-web-extensions4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-web-services4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-web4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-windows-forms4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-xaml4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-xml-linq4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system-xml4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-system4.0-cil fakat kurulmayacak
Bağımlılıklar: libmono-windowsbase4.0-cil fakat kurulmayacak
Bağımlılıklar: libpango-1.0-0 (>=1.40.14) fakat 1.40.5-1 kurulacak
Bağımlılıklar: libpangocairo-1.0-0 (>=1.40.14) fakat 1.40.5-1 kurulacak
Bağımlılıklar: monodoc-base fakat kurulmayacak
Bağımlılıklar: msbuild fakat kurulmayacak
Tavsiye ettikleri: libgtk2.0-cil-dev fakat kurulmayacak
Tavsiye ettikleri: mono-devel fakat kurulmayacak
Tavsiye ettikleri: xamarin-gtk-theme fakat kurulmayacak

synaptic ten tekrar yüklemeye çalıştığımda bu hatayı veriyor

0 Likes

(𝗄𝖺𝖺𝗇) #8

Eklediğiniz başka depolar oldu mu?

0 Likes

(Mustafa IŞIK) #9

hayır olmadı kendi sitesinden yükleme kodlarıla denediğimde e sub-process /usr/bin/dpkg returned an error code (1) hatası alıyorum

0 Likes

(𝗄𝖺𝖺𝗇) #10

sudo apt -f install komutunu çalıştırın. Ardından sudo apt install monodevelop* komutunu çalıştırın. paketlerde uyumsuzluk yoksa normal bir şekilde kurulması gerekiyor.

0 Likes

(Mustafa IŞIK) #11

download failed

Özet

Oracle JDK 8 is NOT installed.
dpkg: oracle-java8-installer paketi işlenirken sorun yaşandı (–configure):
alt süreç post-installation betiği kuruldu 1 çıkış kodu ile sona erdi
dpkg: bağımlılık sorunları yüzünden xdman paketi yapılandırılamıyor:
xdman şuna bağımlı: openjdk-6-jre | openjdk-7-jre, ama:
‘openjdk-6-jre’ paketi kurulu değil.
openjdk-6-jre paketini sağlayan oracle-java8-installer henüz yapılandırılmadı.
‘openjdk-7-jre’ paketi kurulu değil.
openjdk-7-jre paketini sağlayan oracle-java8-installer henüz yapılandırılmadı.

dpkg: xdman paketi işlenirken sorun yaşandı (–configure):
bağımlılık sorunları - yapılandırılmadan bırakılıyor
İşleme sırasında hatalarla karşılaşıldı:
oracle-java8-installer
xdman
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘mono-official-vs.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘vscode.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘sublime-text.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘noobslab-ubuntu-apps-eoan.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
E: Sub-process /usr/bin/dpkg returned an error code (1)

bu çıktıyı alıyorum ve bundan sora sudo apt install monodevelop* çalıştırdığımda

Özet

Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘mono-official-vs.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘vscode.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘sublime-text.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
N: ‘/etc/apt/sources.list.d/’ dizinindeki ‘noobslab-ubuntu-apps-eoan.list.save’ dosyası geçersiz bir dosya uzantısı olduğu için yok sayılıyor
E: monodevelop-4.2.2 paketi bulunamadı
E: ‘monodevelop-4.2.2’ ifadesine eşleşen herhangi bir paket bulunamadı
E: ‘monodevelop-4.2.2’ düzenli ifadesini içeren herhangi bir paket bulunamadı
E: monodevelop-4.2.2-2.tar.bz2 paketi bulunamadı
E: ‘monodevelop-4.2.2-2.tar.bz2’ ifadesine eşleşen herhangi bir paket bulunamadı
E: ‘monodevelop-4.2.2-2.tar.bz2’ düzenli ifadesini içeren herhangi bir paket bulunamadı

bu geliyor

0 Likes

(𝗄𝖺𝖺𝗇) #12

Yanlış bilgi veriyorsunuz. Eklediğiniz en az 4 depo adresi varmış. Bu eklediğiniz depolarda bulunan paketler diğer paketler ile uyumsuzluk oluşturmuş. Bunu düzeltmeniz uzun sürer. En kısa yolu Pardus’u yeniden kurmanız.

0 Likes

(Mustafa IŞIK) #13

oofffff peki başka bir derleyici önerir misiniz console işlemleri ve form işlemleri yapmak için

0 Likes

(𝗄𝖺𝖺𝗇) #14

Bu şekilde yeni kurulumlar yapamazsınız. Paket bağımlılıkları yeniden oluşturulamaz.

0 Likes

(Mustafa IŞIK) #15

peki yeniden pardusu kurarsam diskteki verilerim silinir mi

0 Likes

(𝗄𝖺𝖺𝗇) #16

Verilerinizin tamamını harici bir ortama alınız. Şimdiki kurulumunuzu nasıl yaptığınızı bilmiyorum. İkinci sistem olarak mı kurdunuz? Tek disk mi kullanıyorsunuz? Birden fazla disk bölümü oluşturarak bir bölüme mi kurulum yaptınız? gibi detaylar lazım. En güzeli harici bir ortama verilerinizi yedekleyerek https://www.pardus.org.tr/pardus-kurulum-kilavuzu/ linkini inceleyerek kurulum yapmanız.

0 Likes

(Mustafa IŞIK) #17

peki böyle bir sorunla karşılaşma sebebim nedir ne hata yapmış olabilirim birdaha yapmamak için

0 Likes

(𝗄𝖺𝖺𝗇) #18

Resmi depo adresleri dışında başka depolar eklerken farklılıkları incelemeniz gerekiyor ama bu da uzun bir işlem. En güzeli sistemin çalışmasını tam anlayana kadar farklı depo adreslerini eklememeniz. Monodevelop zaten resmi depolarımızda mevcut. Yüklemek istediğiniz programı ilk önce resmi depolarda arayınız.

1 Like

(Mustafa IŞIK) #19

peki teşekkür ederim iyi çalışmalar… :frowning:


kaan bey çözmeye çalışsak çok mu uzun sürer şuan işyerindeyim stajdayım ve belgeleri yedekleyim formak atacak harici belleğim yok projenin ortasındayım halledebileceğimiz bişey ise yardımcı olur musunuz lütfen

0 Likes

(𝗄𝖺𝖺𝗇) #21

Uzun sürer ve kesin çözüme ulaşmama ihtimali var. Eklediğiniz depolardan kurduğunuz programlar ve bu paketlere bağlı olan programlar çalışmaz.

0 Likes